Plesk\backup\Agent\Schema\Backup\Subscription\SubscriptionAType:
    properties:
        locked:
            expose: true
            access_type: public_method
            serialized_name: locked
            accessor:
                getter: getLocked
                setter: setLocked
            xml_attribute: true
            type: string
        synchronized:
            expose: true
            access_type: public_method
            serialized_name: synchronized
            accessor:
                getter: getSynchronized
                setter: setSynchronized
            xml_attribute: true
            type: string
        custom:
            expose: true
            access_type: public_method
            serialized_name: custom
            accessor:
                getter: getCustom
                setter: setCustom
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: external-id
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
        plan:
            expose: true
            access_type: public_method
            serialized_name: plan
            xml_element:
                cdata: false
            accessor:
                getter: getPlan
                setter: setPlan
            xml_list:
                inline: true
                entry_name: plan
            type: array<Plesk\backup\Agent\Schema\Backup\Subscription\SubscriptionAType\PlanAType>
        properties:
            expose: true
            access_type: public_method
            serialized_name: properties
            xml_element:
                cdata: false
            accessor:
                getter: getProperties
                setter: setProperties
            type: array<Plesk\backup\Agent\Schema\Backup\NameValueType>
            xml_list:
                inline: false
                entry_name: property
                skip_when_empty: true
